version: '3.8'

services:
  db:
    image: mariadb:10.6
    container_name: aerofind-db
    restart: always
    environment:
      MYSQL_DATABASE: aerofind_db
      MYSQL_ROOT_PASSWORD: root
    ports:
      - "3306:3306"
    volumes:
      - db_data:/var/lib/mysql

  web:
    build: .
    container_name: aerofind-web
    restart: always
    ports:
      - "8080:80"
    volumes:
      - .:/var/www/html
    depends_on:
      - db

volumes:
  db_data:
